Subject: ANNOUNCE: MailFolder-0.06
From: [email-masked] (Kevin Johnson)
Date: 7 Apr 1997 02:56:23 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

The newest version (0.06) of the Mail::Folder module has been posted to
CPAN under my author id (KJOHNSON) and name (Kevin_Johnson).

.... perl's response to the Law of Software Envelopment ...

Mail::Folder provides a perl module interface to email folders that is
independent from the physical folders.  The actual work on folders is
done with folder interface modules lying 'beneath' the Mail::Folder
interface.

The module is still in alpha release.  Think twice about using it to
modify folders that you consider important (at the very least make
backup copies :-).  That being said, I'll mention that I use it as the
sole interface to my email at home.

The method interface is currently in an evaluation phase.  Before it
goes to beta, I expect to make method interface changes that won't be
backwards compatible.

The current version was developed and tested against 5.003_97 or
newer.  Older versions won't work.

Here are some of the more notable new features and unmalfeatures added
since the last release:
	+ Had to nuke support for flock locking temporarily - sorry.
	+ No longer needs File::BasicFlock (a replacement is in the works).
	+ DotLocking can optionally be made NFS-safe.
	+ Fixed some race conditions with folder locking.
	+ Various bug fixes, cleanups, and optimizations.

########################################################################
NOTE: The next release will probably have several incompatible     :NOTE
NOTE: interface changes.                                           :NOTE
########################################################################

Refer to the provided README file for additional information.

I am keenly interested in feedback from folks doing interesting stuff
with the package.

Please report any bugs/suggestions to <[email-masked]>.

Copyright (c) 1996-1997 Kevin Johnson <[email-masked]>

All rights reserved.  This program is free software; you can
redistribute it and/or modify it under the same terms as Perl itself.

-- 
thx,
[email-masked]   http://www.pobox.com/~kjj/